# Class: YARD::Tags::EndGroupDirective

Inherits:
  Directive
  - Object
  - Directive
  - YARD::Tags::EndGroupDirective
  show all

Defined in:
  lib/yard/tags/directives.rb

## Overview

Ends a group listing definition. Group definition automatically end when class or module blocks are closed, and defining a new group overrides the last group definition, but occasionally you need to end the current group to return to the default listing. Use @!group to begin a group listing.

#### Examples:

    class Controller
      # @!group Callbacks

      def before_filter; end
      def after_filter; end

      # @!endgroup

      def index; end
    end

See Also:

- @!group

Since:

- 0.6.0

## Parser callbacks collapse

- #call ⇒ Object

## Constructor Details

This class inherits a constructor from YARD::Tags::Directive

## Instance Method Details

### #call ⇒ `Object`

Since:

- 0.6.0

    105
    106
    107
    108

    # File 'lib/yard/tags/directives.rb', line 105

    def call
      return unless handler
      handler.extra_state.group = nil
    end